<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: GeneralParticleSourceMessenger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GeneralParticleSourceMessenger Class Reference</h1><!-- doxytag: class="GeneralParticleSourceMessenger" -->
<p><a href="classGeneralParticleSourceMessenger-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#acca9456f294a098be11dc8ec018bd32a">getA</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#af79166e4e160b05cdf9cb781dff93f8b">getB</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#addd5dcf2c6bcc39dce6a53f6140af9aa">getBetaGammaMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a067b61ab8b170fec17d96fbd50fa2f5b">getBetaGammaMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ab7f85d8770aac9d1e4fd2789a5e9dc85">getDiceBetaGamma</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a843fec71b3a7682b682b7c0f66eeac73">getEMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#af6dc3bb0b3df66854e02134c50ee8540">getEMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a4d9055d651da593d0ac2300b8d96fb3d">getNParticles</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a6d9db0467f3b4d5aef53108f77417417">getParticleName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ade5a4e3b137a00b6276db050001ce015">getPhiMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1c8b35418f9b1feb17a77bcb4b98f400">getPhiMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a810523d8e5a73611b51f1395c6595785">getPolar</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a36d0944dd49fb73fa9ad8e7fff5ca4ed">getPos</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aeda4d941258bd20fa2cda3f8ad509502">getPosDist</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a446d0b8d73f07d17bb08222a02f1152f">getPosGridDistA</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1f485b76bf5a442cc115ffb4ae97ae8b">getRMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a6ee537925f101c2013de929cd0632f1d">getRMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a7498aae673e538c50514bb909bf32a47">getShape</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a746438043a5434e933441c10051716d5">getSourceSurfaceNormal</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a3d62c17f2d5b26210c3ce7ccb251ec61">getThetaMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#add206c2562da03d03d079c06afbc466a">getThetaMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a7339f41fe2c97fb3225e53f1ef1827b3">getTMax</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a12ea42d77f67dc9a62d2c6ed790ca147">getTMin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aaa4ccc37ec3a7f2016be705aba49b2fe">getVerbose</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a8d2b599b08fcc283249440170adf330e">setA</a> (double a)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a94dbc972af5fa224ff7c74a7819739ea">setB</a> (double b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ad18a60554506d9be99ed21216d08c63b">setBetaGammaMax</a> (double betaGammaMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aafb1205d8ef2abadcd60e301f571e38f">setBetaGammaMin</a> (double betaGammaMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a89dc52f44e8b7473600c767cbec90b45">setDiceBetaGamma</a> (bool diceBetaGamma)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a9762faf52febaf4955d5ebc5b1dfbe3d">setEMax</a> (double eMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#af9779abd2146f1224ab48b97030510dc">setEMin</a> (double eMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a2ddaa26652fc6c839673467d55ee2129">setNParticles</a> (int nParticles)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a538875f5e7f735da464b43294f6cf293">setParticleName</a> (G4String particleName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a9d152ef3bc89c652ea06d05742aa9352">setPhiMax</a> (double phiMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a6b8cf6eb9625dc033dc273a853f62bd4">setPhiMin</a> (double phiMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1f8e424f6b7049532a46c7ec41d629e4">setPolar</a> (double polar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1dc70fbdac4b0ab52ee893d286d70fc1">setPos</a> (G4ThreeVector pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#adc4553bd7227b98240cda3404f174ae9">setPosDist</a> (G4String posDist)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a5e730fb4164a788a79713849f6641786">setPosGridDistA</a> (double posGridDistA)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a36c8d661e4bddcc9fff4547ce5650db2">setRMax</a> (double rMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a23c5d59de1642bee336fec076f4d98c4">setRMin</a> (double rMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ac274cd3f5257e28768e81ac5fb9a010d">setShape</a> (G4String shape)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#abd8bebf64ea8fe85db2fcc2ba3359859">setSourceSurfaceNormal</a> (G4ThreeVector sourceSurfaceNormal)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a01dba5ac5c2ef17fac2b733669da119e">setThetaMax</a> (double thetaMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#adcc7c112b670ccac01d06b50e87c1626">setThetaMin</a> (double thetaMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a3a7ad0c91b00b373905818d640fa0998">setTMax</a> (double tMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a3b90479750ac1b2855bd2a303fcc352c">setTMin</a> (double tMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a17a8516ffa1998b87028ee1ba6948882">setVerbose</a> (int verbose)</td></tr>
<tr><td colspan="2"><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <br class="typebreak"/>
<a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ab7469650cbbb9a6a0c6b1265c388eb1d">getInstance</a> ()</td></tr>
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a87eca7af142037cc419220155a5734c8">MACRO_FILE_NAME</a> = &quot;gps.mac&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a5682131934e5636797f91f07b08b4358">POS_DIST_GRID</a> = &quot;grid&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a063d4cf8efc145b4e9334566e4068a0b">POS_DIST_UNIFORM</a> = &quot;uniform&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a21c8002ce0f2998f8ea64e8a53834b30">SHAPE_CIRCLE_NAME</a> = &quot;circle&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ac44b9c0643e0f1796f1a64f858f8c22f">SHAPE_HEXAGON_NAME</a> = &quot;hexagon&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1c1754477b742bd444b5c80c64e1b54f">SHAPE_RECT_NAME</a> = &quot;rect&quot;</td></tr>
<tr><td colspan="2"><h2>Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <br class="typebreak"/>
<a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aee040a70076cb7c93714e7d90c640703">INSTANCE</a> = NULL</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>A messenger for configuring the <a class="el" href="classGeneralParticleSource.html">GeneralParticleSource</a>.</p>
<p>Commands: /gps/verbose /gps/particleName /gps/nParticles /gps/polar /gps/tMin /gps/tMax /gps/energy/eMin /gps/energy/eMax /gps/energy/diceBetaGamma /gps/energy/betaGammaMin /gps/energy/betaGammaMax /gps/angle/phiMin /gps/angle/phiMax /gps/angle/thetaMin /gps/angle/thetaMax /gps/plane/shape /gps/plane/surfaceNormal /gps/plane/rMin /gps/plane/rMax /gps/plane/a /gps/plane/b /gps/plane/pos /gps/plane/posDist /gps/plane/posGridDistA </p>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acca9456f294a098be11dc8ec018bd32a"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getA" ref="acca9456f294a098be11dc8ec018bd32a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getA </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the length of the rectangular source plane. </dd></dl>

</div>
</div>
<a class="anchor" id="af79166e4e160b05cdf9cb781dff93f8b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getB" ref="af79166e4e160b05cdf9cb781dff93f8b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getB </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the width of the rectangular source plane. </dd></dl>

</div>
</div>
<a class="anchor" id="addd5dcf2c6bcc39dce6a53f6140af9aa"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getBetaGammaMax" ref="addd5dcf2c6bcc39dce6a53f6140af9aa" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getBetaGammaMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the beta * gamma maximum. </dd></dl>

</div>
</div>
<a class="anchor" id="a067b61ab8b170fec17d96fbd50fa2f5b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getBetaGammaMin" ref="a067b61ab8b170fec17d96fbd50fa2f5b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getBetaGammaMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the beta * gamma minimum. </dd></dl>

</div>
</div>
<a class="anchor" id="ab7f85d8770aac9d1e4fd2789a5e9dc85"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getDiceBetaGamma" ref="ab7f85d8770aac9d1e4fd2789a5e9dc85" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GeneralParticleSourceMessenger::getDiceBetaGamma </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>bool - true if beta * gamma is to be diced instead of the energy. </dd></dl>

</div>
</div>
<a class="anchor" id="a843fec71b3a7682b682b7c0f66eeac73"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getEMax" ref="a843fec71b3a7682b682b7c0f66eeac73" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getEMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the eMax. </dd></dl>

</div>
</div>
<a class="anchor" id="af6dc3bb0b3df66854e02134c50ee8540"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getEMin" ref="af6dc3bb0b3df66854e02134c50ee8540" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getEMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the eMin. </dd></dl>

</div>
</div>
<a class="anchor" id="ab7469650cbbb9a6a0c6b1265c388eb1d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getInstance" ref="ab7469650cbbb9a6a0c6b1265c388eb1d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a>* GeneralParticleSourceMessenger::getInstance </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline, static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> - the singleton. </dd></dl>

</div>
</div>
<a class="anchor" id="a4d9055d651da593d0ac2300b8d96fb3d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getNParticles" ref="a4d9055d651da593d0ac2300b8d96fb3d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GeneralParticleSourceMessenger::getNParticles </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>int - the number of particles per beamOn. </dd></dl>

</div>
</div>
<a class="anchor" id="a6d9db0467f3b4d5aef53108f77417417"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getParticleName" ref="a6d9db0467f3b4d5aef53108f77417417" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GeneralParticleSourceMessenger::getParticleName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4String - the particle name. </dd></dl>

</div>
</div>
<a class="anchor" id="ade5a4e3b137a00b6276db050001ce015"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPhiMax" ref="ade5a4e3b137a00b6276db050001ce015" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPhiMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the phiMax. </dd></dl>

</div>
</div>
<a class="anchor" id="a1c8b35418f9b1feb17a77bcb4b98f400"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPhiMin" ref="a1c8b35418f9b1feb17a77bcb4b98f400" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPhiMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the phiMin. </dd></dl>

</div>
</div>
<a class="anchor" id="a810523d8e5a73611b51f1395c6595785"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPolar" ref="a810523d8e5a73611b51f1395c6595785" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPolar </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the polar angle of photons. </dd></dl>

</div>
</div>
<a class="anchor" id="a36d0944dd49fb73fa9ad8e7fff5ca4ed"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPos" ref="a36d0944dd49fb73fa9ad8e7fff5ca4ed" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GeneralParticleSourceMessenger::getPos </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4ThreeVector - the position of the particle plane. </dd></dl>

</div>
</div>
<a class="anchor" id="aeda4d941258bd20fa2cda3f8ad509502"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPosDist" ref="aeda4d941258bd20fa2cda3f8ad509502" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GeneralParticleSourceMessenger::getPosDist </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4String - the position distribution. </dd></dl>

</div>
</div>
<a class="anchor" id="a446d0b8d73f07d17bb08222a02f1152f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPosGridDistA" ref="a446d0b8d73f07d17bb08222a02f1152f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPosGridDistA </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the grid pitch of the grid particle distribution. </dd></dl>

</div>
</div>
<a class="anchor" id="a1f485b76bf5a442cc115ffb4ae97ae8b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getRMax" ref="a1f485b76bf5a442cc115ffb4ae97ae8b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getRMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the rMax. </dd></dl>

</div>
</div>
<a class="anchor" id="a6ee537925f101c2013de929cd0632f1d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getRMin" ref="a6ee537925f101c2013de929cd0632f1d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getRMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the rMin. </dd></dl>

</div>
</div>
<a class="anchor" id="a7498aae673e538c50514bb909bf32a47"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getShape" ref="a7498aae673e538c50514bb909bf32a47" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GeneralParticleSourceMessenger::getShape </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4String - the shape type name. </dd></dl>

</div>
</div>
<a class="anchor" id="a746438043a5434e933441c10051716d5"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getSourceSurfaceNormal" ref="a746438043a5434e933441c10051716d5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GeneralParticleSourceMessenger::getSourceSurfaceNormal </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4ThreeVector - the surface normal. </dd></dl>

</div>
</div>
<a class="anchor" id="a3d62c17f2d5b26210c3ce7ccb251ec61"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getThetaMax" ref="a3d62c17f2d5b26210c3ce7ccb251ec61" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getThetaMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the thetaMax. </dd></dl>

</div>
</div>
<a class="anchor" id="add206c2562da03d03d079c06afbc466a"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getThetaMin" ref="add206c2562da03d03d079c06afbc466a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getThetaMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the thetaMin. </dd></dl>

</div>
</div>
<a class="anchor" id="a7339f41fe2c97fb3225e53f1ef1827b3"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getTMax" ref="a7339f41fe2c97fb3225e53f1ef1827b3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getTMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the maximum particle time. </dd></dl>

</div>
</div>
<a class="anchor" id="a12ea42d77f67dc9a62d2c6ed790ca147"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getTMin" ref="a12ea42d77f67dc9a62d2c6ed790ca147" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getTMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the minimum particle time. </dd></dl>

</div>
</div>
<a class="anchor" id="aaa4ccc37ec3a7f2016be705aba49b2fe"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getVerbose" ref="aaa4ccc37ec3a7f2016be705aba49b2fe" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GeneralParticleSourceMessenger::getVerbose </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>int - the verbosity. </dd></dl>

</div>
</div>
<a class="anchor" id="a8d2b599b08fcc283249440170adf330e"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setA" ref="a8d2b599b08fcc283249440170adf330e" args="(double a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setA </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>a</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>a</em>&nbsp;</td><td>- the a to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a94dbc972af5fa224ff7c74a7819739ea"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setB" ref="a94dbc972af5fa224ff7c74a7819739ea" args="(double b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setB </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>b</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>b</em>&nbsp;</td><td>- the b to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad18a60554506d9be99ed21216d08c63b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setBetaGammaMax" ref="ad18a60554506d9be99ed21216d08c63b" args="(double betaGammaMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setBetaGammaMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>betaGammaMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>betaGammaMax</em>&nbsp;</td><td>- the betaGammaMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aafb1205d8ef2abadcd60e301f571e38f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setBetaGammaMin" ref="aafb1205d8ef2abadcd60e301f571e38f" args="(double betaGammaMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setBetaGammaMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>betaGammaMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>betaGammaMin</em>&nbsp;</td><td>- the betaGammaMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a89dc52f44e8b7473600c767cbec90b45"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setDiceBetaGamma" ref="a89dc52f44e8b7473600c767cbec90b45" args="(bool diceBetaGamma)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setDiceBetaGamma </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>diceBetaGamma</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>diceBetaGamma</em>&nbsp;</td><td>- the diceBetaGamma to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9762faf52febaf4955d5ebc5b1dfbe3d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setEMax" ref="a9762faf52febaf4955d5ebc5b1dfbe3d" args="(double eMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setEMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>eMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>eMax</em>&nbsp;</td><td>- the eMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af9779abd2146f1224ab48b97030510dc"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setEMin" ref="af9779abd2146f1224ab48b97030510dc" args="(double eMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setEMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>eMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>eMin</em>&nbsp;</td><td>- the eMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2ddaa26652fc6c839673467d55ee2129"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setNParticles" ref="a2ddaa26652fc6c839673467d55ee2129" args="(int nParticles)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setNParticles </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>nParticles</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>nParticles</em>&nbsp;</td><td>- the nParticles to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a538875f5e7f735da464b43294f6cf293"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setParticleName" ref="a538875f5e7f735da464b43294f6cf293" args="(G4String particleName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setParticleName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>particleName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>particleName</em>&nbsp;</td><td>- the particleName to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9d152ef3bc89c652ea06d05742aa9352"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPhiMax" ref="a9d152ef3bc89c652ea06d05742aa9352" args="(double phiMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPhiMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>phiMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>phiMax</em>&nbsp;</td><td>- the phiMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6b8cf6eb9625dc033dc273a853f62bd4"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPhiMin" ref="a6b8cf6eb9625dc033dc273a853f62bd4" args="(double phiMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPhiMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>phiMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>phiMin</em>&nbsp;</td><td>- the phiMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1f8e424f6b7049532a46c7ec41d629e4"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPolar" ref="a1f8e424f6b7049532a46c7ec41d629e4" args="(double polar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPolar </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>polar</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>polar</em>&nbsp;</td><td>- the polar to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1dc70fbdac4b0ab52ee893d286d70fc1"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPos" ref="a1dc70fbdac4b0ab52ee893d286d70fc1" args="(G4ThreeVector pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPos </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>pos</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pos</em>&nbsp;</td><td>- the pos to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adc4553bd7227b98240cda3404f174ae9"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPosDist" ref="adc4553bd7227b98240cda3404f174ae9" args="(G4String posDist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPosDist </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>posDist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>posDist</em>&nbsp;</td><td>- the posDist to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5e730fb4164a788a79713849f6641786"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPosGridDistA" ref="a5e730fb4164a788a79713849f6641786" args="(double posGridDistA)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPosGridDistA </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>posGridDistA</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>posGridDistA</em>&nbsp;</td><td>- the posGridDistA to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a36c8d661e4bddcc9fff4547ce5650db2"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setRMax" ref="a36c8d661e4bddcc9fff4547ce5650db2" args="(double rMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setRMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>rMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rMax</em>&nbsp;</td><td>- the rMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a23c5d59de1642bee336fec076f4d98c4"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setRMin" ref="a23c5d59de1642bee336fec076f4d98c4" args="(double rMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setRMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>rMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rMin</em>&nbsp;</td><td>- the rMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac274cd3f5257e28768e81ac5fb9a010d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setShape" ref="ac274cd3f5257e28768e81ac5fb9a010d" args="(G4String shape)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setShape </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>shape</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>shape</em>&nbsp;</td><td>- the shape to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abd8bebf64ea8fe85db2fcc2ba3359859"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setSourceSurfaceNormal" ref="abd8bebf64ea8fe85db2fcc2ba3359859" args="(G4ThreeVector sourceSurfaceNormal)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setSourceSurfaceNormal </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sourceSurfaceNormal</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>sourceSurfaceNormal</em>&nbsp;</td><td>- the sourceSurfaceNormal to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a01dba5ac5c2ef17fac2b733669da119e"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setThetaMax" ref="a01dba5ac5c2ef17fac2b733669da119e" args="(double thetaMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setThetaMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>thetaMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>thetaMax</em>&nbsp;</td><td>- the thetaMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adcc7c112b670ccac01d06b50e87c1626"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setThetaMin" ref="adcc7c112b670ccac01d06b50e87c1626" args="(double thetaMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setThetaMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>thetaMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>thetaMin</em>&nbsp;</td><td>- the thetaMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3a7ad0c91b00b373905818d640fa0998"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setTMax" ref="a3a7ad0c91b00b373905818d640fa0998" args="(double tMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setTMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>tMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>tMax</em>&nbsp;</td><td>- the tMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3b90479750ac1b2855bd2a303fcc352c"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setTMin" ref="a3b90479750ac1b2855bd2a303fcc352c" args="(double tMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setTMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>tMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>tMin</em>&nbsp;</td><td>- the tMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a17a8516ffa1998b87028ee1ba6948882"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setVerbose" ref="a17a8516ffa1998b87028ee1ba6948882" args="(int verbose)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setVerbose </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>verbose</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>verbose</em>&nbsp;</td><td>- the verbosity to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aee040a70076cb7c93714e7d90c640703"></a><!-- doxytag: member="GeneralParticleSourceMessenger::INSTANCE" ref="aee040a70076cb7c93714e7d90c640703" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> * <a class="el" href="classGeneralParticleSourceMessenger.html#aee040a70076cb7c93714e7d90c640703">GeneralParticleSourceMessenger::INSTANCE</a> = NULL<code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Singleton. </p>

</div>
</div>
<a class="anchor" id="a87eca7af142037cc419220155a5734c8"></a><!-- doxytag: member="GeneralParticleSourceMessenger::MACRO_FILE_NAME" ref="a87eca7af142037cc419220155a5734c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string <a class="el" href="classGeneralParticleSourceMessenger.html#a87eca7af142037cc419220155a5734c8">GeneralParticleSourceMessenger::MACRO_FILE_NAME</a> = &quot;gps.mac&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The file name of the macro file. </p>

</div>
</div>
<a class="anchor" id="a5682131934e5636797f91f07b08b4358"></a><!-- doxytag: member="GeneralParticleSourceMessenger::POS_DIST_GRID" ref="a5682131934e5636797f91f07b08b4358" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a5682131934e5636797f91f07b08b4358">GeneralParticleSourceMessenger::POS_DIST_GRID</a> = &quot;grid&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the grid point particle distribution. </p>

</div>
</div>
<a class="anchor" id="a063d4cf8efc145b4e9334566e4068a0b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::POS_DIST_UNIFORM" ref="a063d4cf8efc145b4e9334566e4068a0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a063d4cf8efc145b4e9334566e4068a0b">GeneralParticleSourceMessenger::POS_DIST_UNIFORM</a> = &quot;uniform&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the uniform particle distribution </p>

</div>
</div>
<a class="anchor" id="a21c8002ce0f2998f8ea64e8a53834b30"></a><!-- doxytag: member="GeneralParticleSourceMessenger::SHAPE_CIRCLE_NAME" ref="a21c8002ce0f2998f8ea64e8a53834b30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a21c8002ce0f2998f8ea64e8a53834b30">GeneralParticleSourceMessenger::SHAPE_CIRCLE_NAME</a> = &quot;circle&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the circular source shape. </p>

</div>
</div>
<a class="anchor" id="ac44b9c0643e0f1796f1a64f858f8c22f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::SHAPE_HEXAGON_NAME" ref="ac44b9c0643e0f1796f1a64f858f8c22f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#ac44b9c0643e0f1796f1a64f858f8c22f">GeneralParticleSourceMessenger::SHAPE_HEXAGON_NAME</a> = &quot;hexagon&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the hexagonal source shape. </p>

</div>
</div>
<a class="anchor" id="a1c1754477b742bd444b5c80c64e1b54f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::SHAPE_RECT_NAME" ref="a1c1754477b742bd444b5c80c64e1b54f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a1c1754477b742bd444b5c80c64e1b54f">GeneralParticleSourceMessenger::SHAPE_RECT_NAME</a> = &quot;rect&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the rectangular source shape. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
